#!/bin/sh

# --- this must be run as root - else it won't complete 
if ! test "$HOME" = "/root" ; then
 echo "This script must be run as root."
 exit 1
fi

# generic parts
toolkit_home=/opt/hardhat/previewkit/mips

NSP_DIR=$PWD
make dist_clean
export PATH=$PATH:$toolkit_home/fp_le/bin:$toolkit_home/fp_le/sbin
make -C $NSP_DIR/src/uClibc/extra/config
gcc $NSP_DIR/src/kernel/linux-2.4.17_mvl21/scripts/mkdep.c -o $NSP_DIR/src/kernel/linux-2.4.17_mvl21/scripts/mkdep
export LD_LIBRARY_PATH=$toolkit_home/mipsel-linux-uclibc/lib
